# Uses of Class
it.tdlight.jni.TdApi.Usernames

## Uses of TdApi.Usernames in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Usernames
Modifier and Type
Field
Description
`TdApi.Usernames`
TdApi.Supergroup.`usernames`
Usernames of the supergroup or channel; may be null.
`TdApi.Usernames`
TdApi.User.`usernames`
Usernames of the user; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.Usernames
Modifier
Constructor
Description
``
`Supergroup(long id, TdApi.Usernames usernames, int date, TdApi.ChatMemberStatus status, int memberCount, int boostLevel, boolean hasLinkedChat, boolean hasLocation, boolean signMessages, boolean joinToSendMessages, boolean joinByRequest, boolean isSlowModeEnabled, boolean isChannel, boolean isBroadcastGroup, boolean isForum, boolean isVerified, String restrictionReason, boolean isScam, boolean isFake, boolean hasActiveStories, boolean hasUnreadActiveStories)`
Represents a supergroup or channel with zero or more members (subscribers in the case of channels).
``
`User(long id, String firstName, String lastName, TdApi.Usernames usernames, String phoneNumber, TdApi.UserStatus status, TdApi.ProfilePhoto profilePhoto, int accentColorId, long backgroundCustomEmojiId, int profileAccentColorId, long profileBackgroundCustomEmojiId, TdApi.EmojiStatus emojiStatus, boolean isContact, boolean isMutualContact, boolean isCloseFriend, boolean isVerified, boolean isPremium, boolean isSupport, String restrictionReason, boolean isScam, boolean isFake, boolean hasActiveStories, boolean hasUnreadActiveStories, boolean restrictsNewChats, boolean haveAccess, TdApi.UserType type, String languageCode, boolean addedToAttachmentMenu)`
Represents a user.